---
title: Accessibility statement
subtitle: 
comments: false
---

*English version below*

## Erklärung zur Barrierefreiheit

Diese Erklärung zur Barrierefreiheit gilt für die unter https://dlr-ve.gitlab.io/remix/framework veröffentlichte Website von Deutsches Zentrum für Luft und Raumfahrt e. V. (DLR).

Als öffentliche Stelle des Bundes sind wir bemüht, unsere Websites und mobilen Anwendungen im Einklang mit den Bestimmungen des Behindertengleichstellungsgesetzes des Bundes (BGG) sowie der Barrierefreien-Informationstechnik-Verordnung (BITV 2.0) zur Umsetzung der Richtlinie (EU) 2016/2102 barrierefrei zugänglich zu machen.

### Stand der Vereinbarkeit mit den Anforderungen

Die Anforderungen der Barrierefreiheit ergeben sich aus §§ 3 Absätze 1 bis 4 und 4 der BITV 2.0, die auf der Grundlage von § 12d BGG erlassen wurde.

Die Website ist mit den zuvor genannten Anforderungen derzeit nicht vollständig vereinbar.

Die Website wird aktuell hinsichtlich der Barrierefreiheit geprüft. Wir bemühen uns, alle festgestellten Probleme der Zugänglichkeit zu beheben.

### Datum der Erstellung bzw. der letzten Aktualisierung der Erklärung

Diese Erklärung wurde am 08.03.2023 erstellt.

### Barrieren melden: Kontakt zu den Feedback Ansprechpartnern

Sie möchten uns bestehende Barrieren mitteilen oder Informationen zur Umsetzung der Barrierefreiheit erfragen? Für Ihr Feedback sowie alle weiteren Informationen melden Sie sich gerne bei uns unter [barrierefreiheit@dlr.de](mailto:barrierefreiheit@dlr.de).

### Schlichtungsverfahren

Wenn auch nach Ihrem Feedback an den oben genannten Kontakt keine zufriedenstellende Lösung gefunden wurde, können Sie sich an die Schlichtungsstelle nach § 16 BGG wenden. Die Schlichtungsstelle BGG hat die Aufgabe, bei Konflikten zum Thema Barrierefreiheit zwischen Menschen mit Behinderungen und öffentlichen Stellen des Bundes eine außergerichtliche Streitbeilegung zu unterstützen. Das Schlichtungsverfahren ist kostenlos. Es muss kein Rechtsbeistand eingeschaltet werden. Weitere Informationen zum Schlichtungsverfahren und den Möglichkeiten der Antragstellung erhalten Sie unter: www.schlichtungsstelle-bgg.de.

Direkt kontaktieren können Sie die Schlichtungsstelle BGG unter [info@schlichtungsstelle-bgg.de](mailto:info@schlichtungsstelle-bgg.de).



## Accessibility statement

This accessibility statement is valid for the website of https://dlr-ve.gitlab.io/remix/framework of Deutsches Zentrum für Luft und Raumfahrt e. V. (DLR).

As a public sector body of the German Federal Government within the meaning of EU Directive 2016/2102, we endeavour to make our websites and mobile applications accessible in accordance with the provisions set out in the German Equality for Persons with Disabilities Act (BGG) and the German Barrier-Free Information Technology Ordinance (BITV 2.0) in order to implement EU Directive 2016/2102.

### Compliance status
The accessibility requirements stem from Sections 3 (1) to (4) and 4 of BITV 2.0, adopted on the basis of Section 12d BGG.

At present, the website is partially compliant with the aforementioned requirements. The website is currently being reviewed with regard to accessibility. It is therefore possible that not all accessibility requirements have been fully met. We are working on addressing all identified accessibility problems.

### Preparation of this accessibility statement

This statement was prepared on 08.03.2023.

### Reporting barriers: feedback and contact information

Would you like to notify us of existing barriers or request information regarding the implementation of accessibility?

If you would like to give us your feedback and for further information, please contact [barrierefreiheit@dlr.de](mailto:barrierefreiheit@dlr.de).

### Conciliation procedure

If no satisfactory solution is found following your feedback, then you can turn to the conciliation body, pursuant to Section 16 BGG. The BGG conciliation body is tasked with helping to settle accessibility-related disputes out of court between people with disabilities and federal public bodies. The conciliation procedure is free of charge. No legal assistance is required.

For more information on the conciliation procedure and the options for filing an application, please visit: www.schlichtungsstelle-bgg.de

You can contact the BGG conciliation body directly at: [info@schlichtungsstelle-bgg.de](mailto:info@schlichtungsstelle-bgg.de) 
 
**DISCLAIMER**: The English version is a translation of the original in German for information purposes only. In case of a discrepancy, the German original will prevail.

