---
title: Basic tutorials
lang: en-US
---
(tutorials_basic_label)=

# Basic tutorials

The basic tutorials introduce the very basic concepts of building and
running an energy system optimization model with REMix. These basic
concepts are:

- {ref}`Tutorial 101 <tutorial_101_label>`
  - converters (e.g., conventional and renewable power plants, electrolyzers,
  compressor units, ...)
  - sources and sinks (primarily demands and imports)
- {ref}`Tutorial 102 <tutorial_102_label>`
  - storage technologies (e.g., lithium-ion battery, pumped hydro storage, ...)
- {ref}`Tutorial 103 <tutorial_103_label>`
  - energy transmission (e.g., electrical grids or natural gas and hydrogen
    pipelines)

```{note}
If you are not yet familiar with the basic functions of the Pandas package, you
can check out the 10-minute tutorial to try to get a little more accustomed to
it: <https://pandas.pydata.org/pandas-docs/stable/user_guide/10min.html>
```

```{toctree}
:glob:
:maxdepth: 1

tutorial-1[0-9][0-9]
```
